using SushiBarContracts.BindingModels;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportSushiComponentViewModel> GetSushiComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        List<ReportShopsViewModel> GetShops();
        List<ReportGroupOrdersViewModel> GetGroupedOrders();
        void SaveSushisToWordFile(ReportBindingModel model);
        void SaveSushiComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
        void SaveShopsToWordFile(ReportBindingModel model);
        void SaveShopsToExcelFile(ReportBindingModel model);
        void SaveGroupedOrdersToPdfFile(ReportBindingModel model);
    }
}